{ config, pkgs, lib, enableSSL, ... }:

let
  host = "atlantapaversinc.com";
in {
  services.nginx.virtualHosts."www.${host}" = {
    forceSSL = enableSSL;
    enableACME = enableSSL;
    globalRedirect = host;
  };
  services.nginx.virtualHosts."${host}" = {
    forceSSL = enableSSL;
    enableACME = enableSSL;
    locations = {
      "/".root = "/mnt/data/forgejo/sites/atlantapaversinc.com/public";
    };
  };
}